<template>
  <div class="container article">
    <h1>О Задании</h1>
    <h2>
      1. Разработка компонента Input
    </h2>
    <ul>
      <li>Разработка компонента Input по макету <a href="https://www.figma.com/file/aO8E63C4yTfAh7kvyjTLzf/%D0%9C%D0%B0%D0%BA%D0%B5%D1%82-%D0%B4%D0%BB%D1%8F-%D1%82%D0%B5%D1%81%D1%82%D0%BE%D0%B2%D0%BE%D0%B3%D0%BE-%D0%B7%D0%B0%D0%B4%D0%B0%D0%BD%D0%B8%D1%8F-%D0%B4%D0%BB%D1%8F-Front-end-%D1%80%D0%B0%D0%B7%D1%80%D0%B0%D0%B1%D0%BE%D1%82%D1%87%D0%B8%D0%BA%D0%B0" target="_blank" rel="noopener noreferrer nofollow">в фигме</a>.</li>
      <li>Написать для компонента unit тесты (<a href="https://v1.test-utils.vuejs.org/" target="_blank" rel="noopener noreferrer nofollow">ссылка на доку</a>).</li>
    </ul>
    <h2>
      2. Форма на странице "Задание".
    </h2>
    <ul>
      <li>Разработка формы по макету <a href="https://www.figma.com/file/aO8E63C4yTfAh7kvyjTLzf/%D0%9C%D0%B0%D0%BA%D0%B5%D1%82-%D0%B4%D0%BB%D1%8F-%D1%82%D0%B5%D1%81%D1%82%D0%BE%D0%B2%D0%BE%D0%B3%D0%BE-%D0%B7%D0%B0%D0%B4%D0%B0%D0%BD%D0%B8%D1%8F-%D0%B4%D0%BB%D1%8F-Front-end-%D1%80%D0%B0%D0%B7%D1%80%D0%B0%D0%B1%D0%BE%D1%82%D1%87%D0%B8%D0%BA%D0%B0" rel="noopener noreferrer nofollow" target="_blank">в фигме</a>.</li>
      <li>Для валидации формы использовать фреймворк <a href="https://vee-validate.logaretm.com/v3" target="_blank" rel="noopener noreferrer nofollow">VeeValidate</a>. Он уже есть в проекте.</li>
      <li>Поле "Имя" допускает только буквы.</li>
      <li>Поле "Фамилия" допускает только буквы.</li>
      <li>Поле "ИИН" допускает только цифры, и должна проходить проверку на валидность ИИН для РК. Проверку ИИН можно найти в интернете.</li>
      <li>Написать сообщения об ошибке для полей на свое усмотрение.</li>
      <li>Кнопка "Отправить" не должна быть активной пока все поля не будут корректно заполнены. (Кнопка уже есть в проекте)</li>
      <li>При отправке формы, должно генерироваться случайное число и отправляться на страницу "Статус"(<code>/status/{random_number}</code>).</li>
    </ul>
    <h2>
      3. Страница "Статус"
    </h2>
    <ul>
      <li>Создайте страницу status/_number.</li>
      <li>При переходе на страницу отправлять get запрос <code>http://localhost:3000/api/test?number=${цифра из query_params страницы}</code>. Сервис по отправке запроса уже описан в проекте и доступен в контексте проекта. (<code>this.$API.test.request(number) || context.$API.test.request(number)</code>)</li>
      <li>Ошибку в запросе можно вызвать отправкой некорректного параметра number.</li>
      <li>В зависимости от ответа в запросе, показывать страницу статуса из макета <a href="https://www.figma.com/file/aO8E63C4yTfAh7kvyjTLzf/%D0%9C%D0%B0%D0%BA%D0%B5%D1%82-%D0%B4%D0%BB%D1%8F-%D1%82%D0%B5%D1%81%D1%82%D0%BE%D0%B2%D0%BE%D0%B3%D0%BE-%D0%B7%D0%B0%D0%B4%D0%B0%D0%BD%D0%B8%D1%8F-%D0%B4%D0%BB%D1%8F-Front-end-%D1%80%D0%B0%D0%B7%D1%80%D0%B0%D0%B1%D0%BE%D1%82%D1%87%D0%B8%D0%BA%D0%B0" target="_blank" rel="noopener noreferrer nofollow">в фигме</a> или страницу ошибки</li>
    </ul>
    <h2>Важно</h2>
    <ul>
      <li>Учитывать SSR, чтобы при просмотре кода страницы была разметка.</li>
      <li>
        Писать код в рамках стэка проекта.
        <ul>
          <li>
            <a href="https://nuxtjs.org/" target="_blank" rel="noopener noreferrer nofollow">Nuxt.js</a>
          </li>
          <li>
            <a href="https://github.com/nuxt-community/nuxt-property-decorator" target="_blank" rel="noopener noreferrer nofollow">nuxt-property-decorator</a>
          </li>
          <li>
            <a href="https://www.typescriptlang.org/" target="_blank" rel="noopener noreferrer nofollow">TypeScript</a>
          </li>
        </ul>
      </li>
      <li>Делать частые комиты, для понимания хода выполнения работ.</li>
      <li>Время на выполнение задания не ограничено</li>
    </ul>
  </div>
</template>

<script lang="ts">
import { Component, Vue } from 'nuxt-property-decorator';

@Component
export default class IndexPage extends Vue {
  head () {
    return {
      title: 'О задании',
    };
  }
}
</script>
